/***********************
* Adobe Edge Animate コンポジションアクション
*
* このファイルを編集する際には注意が必要です。必ず関数シグニチャと
* 「Edge」で始まるコメントを保持して、 Adobe Edge 内からこれらのアクションを
* 操作可能な状態にしておいてください。 
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // よく使用する Edge クラスのエイリアス

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
         var totalFrame = 6250;
         var stageWidth = 10000;
         var maxScrollLeft = stageWidth - $(window).width();
         var baseFrame = 250;
         var domFrameNo = sym.getSymbol("sym_tebukuro").$("frameNo");
         
         $(window).scroll(function (e) {
           var scrollLeft = $(window).scrollLeft();
           var n = totalFrame*scrollLeft/maxScrollLeft|0;
           n = n+baseFrame*(1-scrollLeft/maxScrollLeft)|0;
           sym.stop(n);
           domFrameNo.text("frame:" + n);
         });
         
         //tips(?) meaning of "TEBUKURO" is a glove :)

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // コードをここに挿入
         sym.stop();

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'tebukuro'
   (function(symbolName) {   
   
      Symbol.bindTimelineAction(compId, symbolName, "Default Timeline", "complete", function(sym, e) {
         // タイムラインの最後で実行されるコードをここに挿入
         sym.play();

      });
      //Edge binding end

   })("tebukuro");
   //Edge symbol end:'tebukuro'

   //=========================================================
   
   //Edge symbol: 'sym_tebukuro'
   (function(symbolName) {   
   
   })("sym_tebukuro");
   //Edge symbol end:'sym_tebukuro'

})(jQuery, AdobeEdge, "EDGE-410089064");